%define section  non-free
%define priority 15030
%define javaver  1.5.0
%define origin   sun

Name:           java-%{javaver}-%{origin}-jce-policy
Version:        %{javaver}
Release:        1jpp
Epoch:          0
Summary:        JCE unlimited strength jurisdiction policy files

Group:          Security/Cryptography
License:        Non-distributable, restricted use, see README.txt
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://java.sun.com/j2se/1.5.0/
Source0:        jce_policy-1_5_0.zip
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

BuildRequires:  jpackage-utils >= 0:1.5.26
Requires:       java-%{javaver}-%{origin} >= 0:1.5.0

%description
Due to import control restrictions, the version of JCE policy files that
are bundled in the J2SDK, v5.0 environment allow "strong" but
limited cryptography to be used. This download bundle (the one including
this README file) provides "unlimited strength" policy files which
contain no restrictions on cryptographic strengths.


%prep
%setup -q -n jce


%build
# Not.


%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 \
  $RPM_BUILD_ROOT%{_jvmprivdir}/java-%{javaver}-%{origin}/jce/unlimited
install -p -m 644 local_policy.jar US_export_policy.jar \
  $RPM_BUILD_ROOT%{_jvmprivdir}/java-%{javaver}-%{origin}/jce/unlimited


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-alternatives \
  --install \
    %{_jvmdir}/jre-%{javaver}-%{origin}/lib/security/local_policy.jar \
    jce_%{javaver}_%{origin}_local_policy \
    %{_jvmprivdir}/java-%{javaver}-%{origin}/jce/unlimited/local_policy.jar \
    %{priority} \
  --slave \
    %{_jvmdir}/jre-%{javaver}-%{origin}/lib/security/US_export_policy.jar \
    jce_%{javaver}_%{origin}_us_export_policy \
    %{_jvmprivdir}/java-%{javaver}-%{origin}/jce/unlimited/US_export_policy.jar

%preun
if [ $1 -eq 0 ]; then
  update-alternatives \
    --remove \
      jce_%{javaver}_%{origin}_local_policy \
      %{_jvmprivdir}/java-%{javaver}-%{origin}/jce/unlimited/local_policy.jar
fi


%files
%defattr(-,root,root,-)
%doc README.txt COPYRIGHT.html
%{_jvmprivdir}/*


%changelog
* Mon Oct  4 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.5.0-1jpp
- Update to 1.5.0, thanks to Carwyn Edwards.
- Fix Java version in description.
- Fix alternative priority (15000 -> 15030, where "3" is Sun).

* Fri Oct 1 2004 Carwyn Edwards <carwyn@carwyn.com> 0:1.5.0-0.cte.1
- Modified release version to use fedora.us style 0. so jpp packages
  will override mine.

* Thu Sep 30 2004 Carwyn Edwards <carwyn@carwyn.com> 0:1.5.0-1jpp
- Updated to 1.5.0 final.

* Thu Sep 02 2004 Carwyn Edwards <carwyn@carwyn.com> 0:1.5.0-0.rc.1jpp
- Update to J2SE 1.5.0 rc.

* Mon Jul 26 2004 Carwyn Edwards <carwyn@carwyn.com> 0:1.5.0-0.beta2.1jpp
- Update to J2SE 1.5.0 Beta 2.

* Mon Feb 09 2004 David Walluck <david@anti-microsoft.org> 0:1.5.0-0.beta1.1jpp
- J2SE 1.5.0 Beta 1

* Sun Sep  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.2-2jpp
- Fix JCE US export policy alternative link name.

* Sat Aug 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.2-1jpp
- First build.
